# dockercloud-agent Cookbook

Install the Docker Cloud Agent via the [Bring Your Own Node (BYO)](https://docs.docker.com/docker-cloud/infrastructure/byoh/#/install-the-docker-cloud-agent-using-the-cli) method.


## Requirements

The cookbook will install the most current version of the dockercloud-agent, but will not make any attempt to configure the host to communicate with a Docker Cloud account. Eg: Opening network ports

### Platforms

- Ubuntu 14.04

### Chef

- Chef 12.0 or later

### Cookbooks

- `poise-python` - dockercloud-agent needs toaster to install docker-cloud CLI.

## Attributes

### dockercloud-agent::default

<table>
  <tr>
    <th>Key</th>
    <th>Type</th>
    <th>Description</th>
    <th>Default</th>
  </tr>
  <tr>
    <td><tt>['dockercloud-agent'][:docker][:username]</tt></td>
    <td>String</td>
    <td>Docker Cloud Username</td>
    <td><tt>nil</tt></td>
  </tr>
  <tr>
    <td><tt>['dockercloud-agent'][:docker][:api_key]</tt></td>
    <td>String</td>
    <td>Docker Cloud API Key for Username</td>
    <td><tt>nil</tt></td>
  </tr>  
</table>

To create a new API Key, login to Docker Cloud

Account Settings > API Keys > Add API Key

## Usage

### dockercloud-agent::default

Just include `dockercloud-agent` in your node's `run_list`:

```json
{
  "name":"my_node",
  "run_list": [
    "recipe[dockercloud-agent]"
  ]
}
```


