#
# Cookbook Name:: dockercloud-agent
# Recipe:: default
#
# Copyright 2016, YOUR_COMPANY_NAME
#
# All rights reserved - Do Not Redistribute
#

# apt-get update
apt_update 'default' do
  action :update
end

package 'curl' do
  action :install
end

# DockerCloud CLI is Python based, and is installed via pip
python_runtime 'default' do
  provider :system
  version '2.7'
end

python_package 'docker-cloud' do
  action :install
end

# See original Docker Cloud BYO instructions 
# https://docs.docker.com/docker-cloud/infrastructure/byoh/#/install-the-docker-cloud-agent-using-the-cli
bash 'docker_cloud_byo' do
  code <<-EOH
      eval $(DOCKERCLOUD_USER=#{node['dockercloud-agent']['docker']['username']} \
              DOCKERCLOUD_PASS=#{node['dockercloud-agent']['docker']['api_key']} \
                docker-cloud node byo | awk '/curl/' | sed 's/^[ \t]*//;s/[ \t]*$//')
    EOH
end


